
Infrastructure - Bug #652

Metacat will not create document with guid that ends in .\d+

2010-06-14 18:43 - Chad Berkley

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

Metacat will not create document with guid that ends in .\d+

History

#1 - 2010-06-16 18:00 - Chad Berkley

- Status changed from New to In Progress

#2 - 2010-06-16 20:17 - Chad Berkley

- Status changed from In Progress to Closed

Metacat seems to be handling this case fine.  The unit test was failing for several reasons.  1) the user was not logged in.  you must be logged in

(have a valid, non-public token) to run create().  2) the test was attempting to insert the same document with the same identifier multiple times.  you

must provide a unique id on create().  

I modified the unit test to show that create will work with a guid of the form xxx.\d.\d(.\d)+

let me know if there are further problems with this and I'll take a look.  closing this bug for now.
